<?php
/**
 * @package     HSChromeLogger!
 * @author      Hosting Skills a.s.b.l. - http://www.hosting-skills.lu
 * @copyright   Copyright (C) 2014-2021 Hosting Skills a.s.b.l.. All rights reserved.
 * @license     GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

class CL {
	/**
	 * Enable and disable logging
	 *
	 * @param   boolean  $enabled  TRUE to enable, FALSE to disable
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function setEnabled(bool $enabled)
	{
	}

	/**
	 * Check if logging is enabled
	 *
	 * @return  boolean  TRUE if enabled
	 *
	 * @since   1.0.0
	 */
	public static function getEnabled(): bool
	{
		return false;
	}

	/**
	 * Logs a variable to the console
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function log()
	{
	}

	/**
	 * Logs a warning to the console
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function warn()
	{
	}

	/**
	 * Logs an error to the console
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function error()
	{
	}

	/**
	 * Sends an info log
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function info()
	{
	}

	/**
	 * Sends a group log
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function group()
	{
	}

	/**
	 * Sends a collapsed group log
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function groupCollapsed()
	{
	}

	/**
	 * Ends a group log
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function groupEnd()
	{
	}

	/**
	 * Sends a table log
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function table()
	{
	}

	/**
	 * HSChromeLogger's error handler
	 *
	 * Throws exception for each php error that will occur.
	 *
	 * @param   integer  $errno
	 * @param   string   $errstr
	 * @param   string   $errfile
	 * @param   integer  $errline
	 *
	 * @return  void
	 *
	 * @since   1.0.0
	 */
	public static function errorHandler(int $errno, string $errstr, string $errfile, int $errline)
	{
	}

	/**
	 * HSChromeLogger's exception handler
	 *
	 * Logs all exceptions to your web console and then stops the script.
	 *
	 * @param   Exception  $Exception
	 *
	 * @return  void
	 *
	 * @throws  Exception
	 *
	 * @since   1.0.0
	 */
	public static function exceptionHandler(Exception $Exception)
	{
	}

	/**
	 * HSChromeLogger's assertion handler
	 *
	 * Logs all assertions to your web console.
	 *
	 * @param   string       $file  File source of assertion
	 * @param   integer      $line  Line source of assertion
	 * @param   mixed        $code  Assertion code
	 * @param   string|null  $desc  Assertion description
	 *
	 * @return  void
	 *
	 * @throws  Exception
	 *
	 * @since   1.0.0
	 */
	public static function assertionHandler(string $file, int $line, $code, string $desc = null)
	{
	}
}